# QwtPickerClickRectMachine Class Reference

A state machine for rectangle selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerClickRectMachine:
[legend]

List of all members.

## Public Member Functions

virtual CommandList | transition (const QwtEventPattern &, const QEvent *)

## Detailed Description

A state machine for rectangle selections.

Pressing QwtEventPattern::MouseSelect1 starts the selection, releasing it selects the first point. Pressing it again selects the second point and terminates the selection. Pressing QwtEventPattern::KeySelect1 also starts the selection, a second press selects the first point. A third one selects the second point and terminates the selection.

See also:
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

## Member Function Documentation

QwtPickerMachine::CommandList QwtPickerClickRectMachine::transition | ( | const QwtEventPattern & | eventPattern,
|  | const QEvent * | e |
| ) |  |  | `[virtual]`

Transition.

Implements QwtPickerMachine.